## libreoffice 6.3.5

=== debian/changelog ===
libreoffice (1:6.3.5-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1864071)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Wed, 19 Feb 2020 09:30:23 -0700

libreoffice (1:6.3.4-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1856446)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Sun, 15 Dec 2019 09:58:33 +0000

libreoffice (1:6.3.3-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream release (LP: #1851234)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Mon, 04 Nov 2019 12:45:12 +0000

libreoffice (1:6.3.3-2) eoan; urgency=medium

  * debian/patches/Prepare-for-builds-against-ICU-64.diff:
    as name says (from libreoffice-6-3 branch)
  * debian/patches/Fix-build-with-poppler-0.82.diff:
    as name says (from master)
  * debian/patches/Postgresql-12-no-adsrc.diff: add from
    libreoffice-6-3 branch; fix the postgresql driver with
    PostgreSQL 12 (closes: #943873)

  * debian/rules, debian/tests/control:
    - re-enable make check and smoketest autopkgtest and add g++-9
      build-conflicts for #943401 

 -- Rene Engelhard <rene@debian.org>  Thu, 31 Oct 2019 18:07:12 +0100
