## libreoffice 6.4.0

=== debian/changelog ===
libreoffice (1:6.4.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Feb 2020 11:32:08 -0800

libreoffice (1:6.4.0-1) unstable; urgency=medium

  * LibreOffice 6.4.0 final release (identical to rc3)

  * debian/patches/disable-sc-ScriptOrganizer-test.diff: disable sc
    ScriptOrganizer test uitest for now - fails on arm64 buildds
    (and only in sc, not in sw) but works on the porterbox... 
  * debian/libreoffice-l10n-{in,kmr,za}.maintscript: fix (closes: #946470)

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Jan 2020 16:25:26 +0100

libreoffice (1:6.4.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Jan 2020 18:08:28 +0100

libreoffice (1:6.4.0~rc2-2) unstable; urgency=medium

  * oops, reupload with all languages in control....

 -- Rene Engelhard <rene@debian.org>  Thu, 09 Jan 2020 19:46:13 +0000

libreoffice (1:6.4.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
 
  * debian/rules:
    - stop special-casing ure, uno-libs-private, libuno* epoch-wise to avoid
      confusion (especially since it was missed to apply that special-casing to
      lib*-java anyways)
    - use filter for setting BUILD_NOGUI_PACKAGES and add ppc64 to OOO_NOGUI_ARCHS
      (closes: #948120)
    - add missing dh_python3 call for python3-access2base
   * debian/control.*.in:
     - make libjuh-java Depends: ure since it loadLibrary()'s libjuh.so;
       same with libjurt-java (libjava_uno.so)
     - add some explicit dependencies on the new java packages to where they are
       mentioned in Class-Path:
     - suggest odbc-mdbtools instead of just mdbtools
     - remove obsolete alternatives from ${java-runtime-depends} and suggest that
       instead of java5-runtime in ure
   * debian/rules, debian/control.in: 
     - make libofficebean-java arch-dep and install libofficebean.so there
       (into /usr/lib/jni with a symlink from /usr/lib/libreoffice/program);
       make libreoffice-officebean a transitional package for libofficebean-java

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Jan 2020 17:22:52 +0000

libreoffice (1:6.4.0~rc1-6) unstable; urgency=medium

  * debian/control.in, debian/control.ure.in:
    - fix typo: s/java:Depednds/java:Depends/g
  * debian/rules:
    - fix the URE/unoil/officebean jar splitout to actually work as
      expected (closes: #947909). Fix smoketest.jar move to
      -smoketest-data
    - don't try to remove the bogus base-files dependencies manually,
      use jh_depends -Xbase-files...
  * debian/control.in, debian/control.ure.in:
    - update Breaks:/Replaces: and add "reverse" Breaks:/Replaces:, too

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jan 2020 19:34:21 +0100

libreoffice (1:6.4.0~rc1-5) unstable; urgency=medium

  * debian/control.ure.in:
    - fix Breaks:/Replaces: on ure, it has no epoch... (closes: #947853)

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Dec 2019 18:41:06 +0000

libreoffice (1:6.4.0~rc1-4) unstable; urgency=medium

  * debian/rules:
    - limit parallelism for running the tests to 1 so one can see
      directly which test fails/hangs; keep the second run in case
      of a failure nevertheless for flaky tests...
    - disable coinmp for now, tests hang

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Dec 2019 16:54:09 +0100

libreoffice (1:6.4.0~rc1-3) unstable; urgency=medium

  readd test fixes which somewow got lost in preparation of -2:

  * debian/tests/control:
    - smoktest: add missing -nogui and add missing libreoffice-base-nogui
      to Depends:; but use calc and core since the test actually seems to want
      to use something from it 
    - junit: use the "GUI" packages
  * debian/control*in:
    - add more Breaks:/Replaces: for the new split-out Java packages (and
      libreoffice-smoketest-data) (closes: #947446)
  * debian/libreoffice-common.doc-base: also add Files:

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Dec 2019 10:51:35 +0100

libreoffice (1:6.4.0~rc1-2) unstable; urgency=medium

  * debian/rules, debian/control*in:
    - make -nogui variant less confusing and create them for all "UI"
      packages (also saves some space since some (not needed for nogui)
      will be gone from -nogui)
  * debian/rules, debian/libreoffice-calc-nogui.lintian-overrides:
    - remove lib*uilo.so and *.desktop from *-nogui
  * debian/tests/control:
    - fix typo
    - use the new -nogui packages created above in the smoketest test

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Dec 2019 18:37:42 +0100

libreoffice (1:6.4.0~rc1-1) unstable; urgency=medium

  * LibreOffice 6.4.0 release candidate 1
  * upload to unstable

  * debian/patches/sc-opengl-optional.diff:  don't rely on
    isVCLOpenGLEnabled if HEAVE_FEATURE_UI isn't defined

  * debian/control.in, debian/rules: create a libreoffice-calc-nogui
    for use with libreoffice-core-nogui
  * debian/rules:
    - cleanup, introduce a BUILD_NOGUI_PACKAGES=y/n and only
      build -nogui on amd64/i386/arm64/s390x/ppc64el so save build cycles on
      the other architectures (more or less double build)
    - add explicit libgl-dev build-dep 

  * debian/control.firebird.in: allow libreoffice-core-nogui
  * debian/control.in:
    - allow libreoffice-core-nogui for libreoffice-dev
    - move python-access2base to "python" and libreoffice-sdbc-mysql to
      "database" like the other -sdbc-*
  * debian/tests/control:
    - improve test depends for nogui:
      + make odk-test-examples/test-extension-* depend on
        libreoffice-core-nogui only
      + make smoketest and junit depend on libreoffice-{calc,core}-nogui
        instead of their GUI counterparts and use the needed packages
        instead of the "libreoffice" metapackage
    - make odk-test-examples depend on libofficebean-java instead
      of libreoffice-officebean

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Dec 2019 18:59:30 +0100


