=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libreoffice
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
-Build-Depends: ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc],
-               ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc],
-               apparmor <!nocheck>,
+Build-Depends: apparmor <!nocheck>,
                autoconf,
                automake,
                bc,
                bison,
                bzip2,
-               debhelper (>= 10),
-               default-jdk (>= 1:1.6) [!hppa !s390 !sparc !hurd-i386 !i386],
-               default-jdk (>= 1:1.7-48) [ia64],
-               default-jdk (>= 2:1.7-52.1) [kfreebsd-any],
-               default-jdk (>= 2:1.8-55) [sparc64],
-               default-jdk (>= 2:1.9) [i386],
+               debhelper (>= 10.10.4),
+               debhelper-compat (= 12),
+               default-jdk (>= 2:1.8) [!hppa !s390 !sparc !hurd-i386 !i386] <!nojava>,
+               default-jdk (>= 2:1.8-55) [sparc64] <!nojava>,
+               default-jdk (>= 2:1.9) [i386] <!nojava>,
                default-libmysqlclient-dev,
                dh-apparmor,
                dh-python <!nopython>,
                dpkg-dev (>= 1.18.2~),
+               dwz (>> 0.12-3),
                firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
                firebird3.0-server-core [!hppa !mips64 !s390 !sparc] <!nocheck>,
                flex (>= 2.3.35),
@@ -42,12 +40,13 @@
                hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
-               java-common (>= 0.61),
-               javahelper (>= 0.37~),
-               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck>,
+               java-common (>= 0.61) <!nojava>,
+               javahelper (>= 0.37~) <!nojava>,
+               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
                libabw-dev (>= 0.1),
-               libarchive-zip-perl [!hppa !mips64 !s390 !sparc],
+               libarchive-zip-perl [!hppa !mips64 !s390 !sparc] <!nojava>,
                libavahi-client-dev,
+               libbase-java [!hppa !mips64 !s390 !sparc] <!nojava>,
                libbluetooth-dev [linux-any],
                libboost-date-time-dev (>= 1.58),
                libboost-dev (>= 1.58),
@@ -59,7 +58,7 @@
                libcdr-dev (>= 0.1),
                libclucene-dev (>= 2.3.3.4-4.1),
                libcmis-dev (>= 0.5.2~),
-               libcommons-logging-java [!hppa !mips64 !s390 !sparc],
+               libcommons-logging-java [!hppa !mips64 !s390 !sparc] <!nojava>,
                libcppunit-dev (>= 1.14) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                libcups2-dev,
                libcurl4-gnutls-dev,
@@ -75,11 +74,14 @@
                libetonyek-dev (>= 0.1.8) <!nocheck>,
                libexpat1-dev,
                libexttextcat-dev (>= 3.4.1),
+               libflute-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libfontconfig1-dev,
+               libfonts-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
+               libformula-java (>= 1.1.7) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libfreehand-dev (>= 0.1),
                libfreetype6-dev (>= 2.2.0),
                libgirepository1.0-dev (>= 1.32),
-               libgl1-mesa-dev,
+               libgl-dev,
                libglib2.0-dev (>= 2.38.0),
                libglib2.0-dev (>= 2.4),
                libglm-dev (>= 0.9.9~a2),
@@ -90,9 +92,8 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.18.0),
-               libgtk2.0-dev (>= 2.18.0),
                libharfbuzz-dev (>= 0.9.42),
-               libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc],
+               libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libhunspell-dev (>= 1.1.5-2),
                libhyphen-dev (>= 2.4),
                libice-dev,
@@ -104,10 +105,12 @@
                libkf5kio-dev,
                libkf5windowsystem-dev,
                liblangtag-dev (>= 0.4),
+               liblayout-java (>= 0.2.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
                liblcms2-dev,
                libldap2-dev,
+               libloader-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 1.4.1),
+               libmdds-dev (>= 1.5),
                libmspub-dev (>= 0.1),
                libmwaw-dev (>= 0.3.1),
                libmwaw-dev (>= 0.3.15) <!nocheck>,
@@ -115,19 +118,28 @@
                libneon27-gnutls-dev,
                libnspr4-dev,
                libnss3-dev (>= 3.12.3),
+               libnumbertext-dev,
                libodfgen-dev (>= 0.1),
-               liborcus-dev (>= 0.14.0+really0.14.0),
+               liborcus-dev (>= 0.15),
                libpagemaker-dev,
+               libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libpng-dev,
                libpoppler-cpp-dev,
                libpoppler-dev (>= 0.12.0),
                libpoppler-private-dev,
                libpq-dev (>= 9.0~),
+               libqrcodegencpp-dev,
                libqt5x11extras5-dev (>= 5.6),
+               libqxp-dev,
                librdf0-dev (>= 1.0.16-2),
+               librepository-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                librevenge-dev,
+               libsac-java [!hppa !mips64 !s390 !sparc] <!nojava>,
                libsane-dev,
+               libserializer-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libsm-dev,
+               libstaroffice-dev,
+               libstaroffice-dev (>= 0.0.3) <!nocheck>,
                libsuitesparse-dev (>= 1:3.4.0),
                libvisio-dev (>= 0.1),
                libwpd-dev (>= 0.10),
@@ -136,18 +148,21 @@
                libwps-dev (>= 0.4.9) <!nocheck>,
                libx11-dev,
                libxaw7-dev,
+               libxcb-icccm4-dev,
                libxcb1-dev,
                libxext-dev,
                libxinerama-dev,
                libxkbfile-dev,
+               libxml-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libxml2-dev (>= 2.8),
                libxml2-utils,
-               libxmlsec1-dev (>= 1.2.24),
+               libxmlsec1-dev (>= 1.2.28),
                libxrandr-dev,
                libxrender-dev,
                libxslt1-dev,
                libxt-dev,
                libxtst-dev,
+               libzmf-dev,
                locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                lp-solve (>= 5.5.0.13-5+b1),
                maven-repo-helper,
@@ -168,10 +183,13 @@
                xsltproc,
                zip,
                zlib1g-dev
-Build-Depends-Indep: doxygen (>= 1.8.4) <!nodoc>,
+Build-Depends-Indep: ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
+                     ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
+                     doxygen (>= 1.8.4) <!nodoc>,
+                     g++-mingw-w64-i686,
                      gettext,
                      graphviz <!nodoc>,
-                     libbsh-java,
+                     libbsh-java <!nojava>,
                      rdfind,
                      symlinks
 Build-Conflicts: amd-libopencl1,
@@ -185,9 +203,9 @@
                  nvidia-glx-legacy-dev,
                  nvidia-libopencl1
 Standards-Version: 4.0.1
-Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-eoan-6.3
-Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
-Bugs: mailto:libreoffice@lists.launchpad.net
+Vcs-Git: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice.git
+Vcs-Browser: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice
+Bugs: 
 Homepage: http://www.libreoffice.org
 
 Package: libreoffice
@@ -214,7 +232,6 @@
             fonts-noto-mono,
             fonts-noto-ui-core,
             fonts-sil-gentium-basic,
-            libreoffice-gnome | libreoffice-kde5,
             libreoffice-nlpsolver,
             libreoffice-report-builder [!hppa !mips64 !s390 !sparc],
             libreoffice-script-provider-bsh,
@@ -233,6 +250,7 @@
           hyphen-hyphenation-patterns,
           imagemagick | graphicsmagick-imagemagick-compat,
           libgl1,
+          libreoffice-gnome | libreoffice-plasma,
           libreoffice-grammarcheck,
           libreoffice-help (= ${help-l10n-virtual-version}),
           libreoffice-l10n (= ${help-l10n-virtual-version}),
@@ -253,29 +271,3 @@
  LibreOffice is a full-featured office productivity suite that provides
  a near drop-in replacement for Microsoft(R) Office.
  .
- This metapackage installs all components of libreoffice:
-  * libreoffice-writer: Word processor
-  * libreoffice-calc: Spreadsheet
-  * libreoffice-impress: Presentation
-  * libreoffice-draw: Drawing
-  * libreoffice-base: Database
-  * libreoffice-math: Equation editor
- It also recommends additional packages (e.g. fonts) in order to match an
- upstream LibreOffice install as closely as possible.
- .
- You can extend the functionality of LibreOffice by installing these
- packages:
-  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
-    for use with LibreOffice
-  * libreoffice-l10n-*: UI interface translation
-  * libreoffice-help-*: User help
-  * mythes-*: Thesauri for the use with LibreOffice
-  * hyphen-*: Hyphenation patterns for LibreOffice
-  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
-  * libreoffice-gnome: GIO backend
-  * unixodbc: ODBC database support
-  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
-    automatically
-  * libsane: Use your sane-supported scanner with LibreOffice
-  * libxrender1: Speed up display by using Xrender library
-  * libgl1: OpenGL support
