=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
 BINARY_VERSION=$(DEB_VERSION)
 #HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
-HELP_L10N_VIRTUAL_VERSION:=6.3
-OOVER:=6.3
+HELP_L10N_VIRTUAL_VERSION:=6.4
+OOVER:=6.4
 NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
 
 ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
@@ -62,17 +62,15 @@
 STAMP_DIR=debian/stampdir
 TARFILE_LOCATION=$(CURDIR)/tarballs
 export TARFILE_LOCATION
-USE_SOURCE_TARBALLS=n
+USE_SOURCE_TARBALLS=y
 USE_GIT_TARBALLS=n
 ifeq "$(USE_GIT_TARBALLS)" "y"
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
-# bootstraping this from the source tree is breaking get-orig-source
-#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=6.3.5.2
+lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
-GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-6-3-5
+GIT_TAG=libreoffice-$(lo_sources_ver)-buildfix1
+GIT_BRANCH=libreoffice-6-4-0
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
@@ -93,23 +91,10 @@
     fontforge-nox | fontforge, \
     gperf (>= 3.1),\
     libc0.1 (>= 2.10.2-7) [kfreebsd-any],\
-    libcups2-dev,\
     libfontconfig1-dev,\
     libfreetype6-dev (>= 2.2.0),\
-    libgl1-mesa-dev,\
-    libice-dev,\
-    libsm-dev,\
-    libx11-dev,\
-    libxaw7-dev,\
-    libxext-dev,\
-    libxinerama-dev,\
-    libxkbfile-dev,\
-    libxrender-dev,\
-    libxt-dev,\
-    libxtst-dev,\
     pkg-config,\
     unzip,\
-    x11proto-render-dev,\
     xsltproc,\
     zip,\
     zlib1g-dev\
@@ -119,6 +104,8 @@
 # These are components which can be built from internal copies, or used from the
 # distribution. See configure --help for valid values (--with-system-<value>).
 SYSTEM_STUFF = dicts
+
+ENABLE_GUI=y
 
 ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
 ENABLE_PYTHON=y
@@ -146,13 +133,17 @@
 endif
 endif
 BUILD_ONLY_EN_US=n
-ENABLE_JAVA=y
-ifeq "$(ENABLE_JAVA)" "y"
-  JDK=default
-  include /usr/share/java/java_defaults.mk
-  ifneq "$(JDK)" "default"
-    JAVA_MAINVER=7
-  endif
+ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
+  ENABLE_JAVA=y
+  ifeq "$(ENABLE_JAVA)" "y"
+    JDK=default
+    include /usr/share/java/java_defaults.mk
+    ifneq "$(JDK)" "default"
+      JAVA_MAINVER=7
+    endif
+  endif
+else
+  ENABLE_JAVA=n
 endif
 JAVAHELPER_MIN_VERSION= (>= 0.37~)
 SYSTEM_STUFF += hunspell
@@ -185,20 +176,20 @@
 SYSTEM_STUFF += libzmf
 SYSTEM_STUFF += libstaroffice
 SYSTEM_STUFF += libqxp
+SYSTEM_STUFF += qrcodegen
 BUILD_CAIROCANVAS=y
 SYSTEM_STUFF += cairo
-BUILD_KDE=y
-BUILD_KDE5=y
+ifeq "$(ENABLE_GUI)" "y"
+BUILD_PLASMA=y
 ENABLE_QT5=n
 QT5_MINVER= (>= 5.6)
-ifeq "$(BUILD_KDE)" "y"
-  ENABLE_GTK3_KDE5=n
-  ENABLE_KDE5=y
-  KDE_MAJOR=5
-  # KDE5 depends on Qt5
-  ifeq "$(ENABLE_KDE5)" "y"
+endif
+ifeq "$(BUILD_PLASMA)" "y"
+  ENABLE_KF5=y
+  # KF5 depends on Qt5
+  ifeq "$(ENABLE_KF5)" "y"
     ENABLE_QT5=y
-    KDE5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
+    KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
   endif
 endif
 # https://www.debian.org/doc/debian-policy/ says this is not defined and must
@@ -206,7 +197,7 @@
 ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
 BUILD_DBGSYM_PACKAGES=y
 ifeq "$(DEB_HOST_ARCH)" "amd64"
-USE_DWZ=n
+USE_DWZ=y
 DWZ_ARGS:=-L 100000000
 endif
 endif
@@ -223,6 +214,10 @@
 ENABLE_SYMBOLS=y
 SMALL_SYMBOLS=y
 endif
+ifeq ($(MAKECMDGOALS),build-indep)
+# no need to do a double build...
+BUILD_NOGUI_PACKAGES=n
+endif
 
 ifeq "$(ENABLE_JAVA)" "y"
   SYSTEM_STUFF += beanshell
@@ -231,7 +226,7 @@
 SYSTEM_STUFF += lpsolve
 USE_SHARED_LPSOLVE=y
 LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
-ENABLE_COINMP=y
+ENABLE_COINMP=n
 SYSTEM_STUFF += coinmp
 USE_DBUS=y
 ifeq "$(USE_DBUS)" "y"
@@ -244,7 +239,9 @@
     ENABLE_PACKAGEKIT=n
 endif
 ENABLE_AVAHI=y
+ifeq "$(ENABLE_GUI)" "y"
 USE_GSTREAMER=y
+endif
 ENABLE_WEBDAV=y
 ifeq "$(ENABLE_WEBDAV)" "y"
 WEBDAV_LIB=neon
@@ -270,3 +267,6 @@
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 ENABLE_EXPORT_VALIDATION_TESTS=n
 endif
+JUNIT_MIN_VER= (>= 4.8.2-2)
+CURL_SECTYPE=gnutls
+USE_LIBSUITESPARSE=y
