## libreoffice 6.4.1~rc1

=== debian/changelog ===
libreoffice (1:6.4.1~rc1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Feb 2020 18:36:56 -0800

libreoffice (1:6.4.1~rc1-2) unstable; urgency=medium

  * update Replaces: in -help-* to libreoffice-help-common (<< 1:6.4.1~rc1-1)
    (closes: #950833)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Feb 2020 16:26:56 +0100

libreoffice (1:6.4.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes opengl slide transitions with glm >= 0.9.9 (closes: #917927)

  * debian/patches/no-packagekit-per-default.diff: revert configure revert;
    add configuration item and use it (closes: #950225)
  * debian/patches/debian-vendor.diff: handle Debians vendor correctly, extracted
    from old no-packagekit-per-default.diff

  * debian/rules:
    - don't install libdbulo.so in -base-nogui (contains Base UI)
    - generailize OOO_VENDOR setting to use DEB_VENDOR/DEB_PARENT_VENDOR
    - add fonts-alef to he's FONT_RECOMMENDS
    - remove appdata files in *-nogui

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Feb 2020 22:27:44 +0100
