=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,10 @@
 OOSDKDIR:=$(OODIR)/sdk
 
 # Figure out who's building this package.
-OOO_VENDOR:=The Document Foundation/Debian
-ifeq "$(DEB_VENDOR)" "Ubuntu"
-OOO_VENDOR=The Document Foundation, Debian and Ubuntu
+ifneq "$(DEB_VENDOR)" "Debian"
+OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
+else
+OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
 endif
 export OOO_VENDOR
 
@@ -69,8 +70,8 @@
 lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
-GIT_TAG=libreoffice-$(lo_sources_ver)-buildfix1
-GIT_BRANCH=libreoffice-6-4-0
+GIT_TAG=libreoffice-$(lo_sources_ver)
+GIT_BRANCH=libreoffice-6-4-1
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
